%global _empty_manifest_terminate_build 0
Name:		python-nocasedict
Version:	1.0.4
Release:	1
Summary:	A case-insensitive ordered dictionary for Python
License:	LGPL-2.0-only and LGPL-2.1-only and LGPL-2.0-or-later
URL:		https://github.com/pywbem/nocasedict
Source0:	https://files.pythonhosted.org/packages/69/25/ac0d2b3e2ce2258c5ea080e6dbb72f6c5ce6891506f0c8865890398bc5b1/nocasedict-1.0.4.tar.gz
BuildArch:	noarch

%description
A case-insensitive ordered dictionary for Python.

%package -n python3-nocasedict
Summary:	A case-insensitive ordered dictionary for Python
Provides:	python-nocasedict = %{version}-%{release}
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# Tests running requires
BuildRequires:  python3-packaging
BuildRequires:  python3-pathlib2
BuildRequires:  python3-pytest
BuildRequires:  python3-virtualenv
BuildRequires:  python3-pluggy
# General requires
Requires:       python3-six
# Tests running requires
Requires:       python3-packaging
Requires:       python3-pathlib2
Requires:       python3-pytest
Requires:       python3-virtualenv
Requires:       python3-pluggy
%description -n python3-nocasedict
A case-insensitive ordered dictionary for Python.

%package help
Summary:	Development documents and examples for nocasedict
Provides:	python3-nocasedict-doc
%description help
A case-insensitive ordered dictionary for Python.

%prep
%autosetup -n nocasedict-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-nocasedict -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Nov 22 2022 wangjunqi <wangjunqi@kylinos.cn> - 1.0.4-1
- Update package to version 1.0.4

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.0.2-2
- DESC: delete -S git from %autosetup

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 1.0.2-1
- Package Spec generate
